Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jna.platform.win32
Class WinCrypt.DATA_BLOB

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.win32.WinCrypt.DATA_BLOB

Enclosing interface:
  WinCrypt

    public static class WinCrypt.DATA_BLOB

extends com.sun.jna.Structure

The CryptoAPI CRYPTOAPI_BLOB structure is used for an arbitrary array of bytes.

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.jna.Structure
`com.sun.jna.Structure.ByReference, com.sun.jna.Structure.ByValue`

Field Summary
`int` | `cbData` The count of bytes in the buffer pointed to by pbData.
`com.sun.jna.Pointer` | `pbData` A pointer to a block of data bytes.

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`WinCrypt.DATA_BLOB()`
`WinCrypt.DATA_BLOB(byte[] data)`
`WinCrypt.DATA_BLOB(com.sun.jna.Pointer memory)`
`WinCrypt.DATA_BLOB(java.lang.String s)`

Method Summary
`byte[]` | `getData()` Get byte data.

Methods inherited from class com.sun.jna.Structure
`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### cbData

    public int cbData

  The count of bytes in the buffer pointed to by pbData.

### pbData

    public com.sun.jna.Pointer pbData

  A pointer to a block of data bytes.

Constructor Detail

### WinCrypt.DATA_BLOB

    public WinCrypt.DATA_BLOB()

### WinCrypt.DATA_BLOB

    public WinCrypt.DATA_BLOB(com.sun.jna.Pointer memory)

### WinCrypt.DATA_BLOB

    public WinCrypt.DATA_BLOB(byte[] data)

### WinCrypt.DATA_BLOB

    public WinCrypt.DATA_BLOB(java.lang.String s)

Method Detail

### getData

    public byte[] getData()

  Get byte data.

  Returns:
    Byte data or null.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD